apply plugin: 'com.android.application'

android {

    compileSdkVersion 28
    buildToolsVersion "28.0.3"
    defaultConfig {
        // Specify the version code, only once for each new version of your app, for your App Bundle
        // No need to have different version codes for different APKs generated.
        // All split APKs will share the same version code once installed via Google Play.
        applicationId "uprrp.tania"
        minSdkVersion 26
        targetSdkVersion 28
        versionCode 7
        versionName "4.1"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
        vectorDrawables.useSupportLibrary = true
    }

    // Add this block and enable/disable the parameters as follows
    bundle {
        density {
            // Different APKs are generated for devices with different screen densities; true by default.
            enableSplit true
        }
        abi {
            // Different APKs are generated for devices with different CPU architectures; true by default.
            enableSplit true
        }
        language {
            // This is disabled so that the App Bundle does NOT split the APK for each language.
            // We're gonna use the same APK for all languages.
            enableSplit false
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    packagingOptions {
        exclude 'META-INF/DEPENDENCIES'
        exclude 'META-INF/LICENSE'
        exclude 'META-INF/LICENSE.txt'
        exclude 'META-INF/license.txt'
        exclude 'META-INF/NOTICE'
        exclude 'META-INF/NOTICE.txt'
        exclude 'META-INF/notice.txt'
        exclude 'META-INF/ASL2.0'
    }
    useLibrary 'org.apache.http.legacy'
}

repositories {
    jcenter()
    maven { url "https://jitpack.io" }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation 'com.google.android.material:material:1.1.0'
    implementation 'androidx.navigation:navigation-fragment:2.2.1'
    implementation 'androidx.navigation:navigation-ui:2.2.1'
    implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    testImplementation 'junit:junit:4.12'

    implementation 'com.android.support:support-v4:28.0.0'
    implementation 'com.android.support:preference-v14:28.0.0'
    implementation 'com.android.support:design:28.0.0'

    androidTestImplementation 'com.android.support:support-annotations:28.0.0'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test:rules:1.0.2'

    implementation 'org.researchstack:backbone:1.1.2'
    implementation 'org.researchstack:skin:1.1.1'

    implementation 'com.google.firebase:firebase-core:17.2.3'
    implementation 'com.google.firebase:firebase-messaging:20.1.2'
    implementation 'com.google.android.gms:play-services-gcm:17.0.0'

    implementation 'org.apache.httpcomponents:httpcore:4.4.11'
    implementation 'org.apache.httpcomponents:httpclient:4.5.8'

    implementation 'com.amazonaws:aws-android-sdk-sns:2.13.3'

    implementation 'com.android.support:support-annotations:28.0.0'
    implementation 'com.google.android.play:core:1.7.0'

    implementation 'com.amazonaws:aws-android-sdk-core:2.13.4'
    implementation 'com.amazonaws:aws-android-sdk-cognitoidentityprovider:2.13.4'

    implementation 'com.itextpdf:itextg:5.5.10'
    implementation 'com.github.barteksc:android-pdf-viewer:2.8.2'


}

configurations {
    all {
        exclude module: 'httpclient'
        resolutionStrategy.force 'com.android.support:support-annotations:23.1.0'
    }
}

apply plugin: 'com.google.gms.google-services'
